org.appng.xml.platform

## Class ApplicationConfig

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.Config
    - - org.appng.xml.platform.ApplicationConfig

- All Implemented Interfaces:
    Serializable

      public class ApplicationConfig
      extends Config
      implements Serializable

  The `ApplicationConfig` is responsible for the basic configuration of a application.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Session` | `session`

    - ### Fields inherited from class org.appng.xml.platform.Config

      `description, labels, permissions, templates, textelements, title`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Session` | `getSession()` Gets the value of the session property.
    `void` | `setSession(Session value)` Sets the value of the session property.

    - ### Methods inherited from class org.appng.xml.platform.Config

      `getDescription, getLabels, getPermissions, getTemplates, getTextelements, getTitle, setDescription, setLabels, setPermissions, setTextelements, setTitle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### session

          protected Session session

  - ### Constructor Detail

    - #### ApplicationConfig

          public ApplicationConfig()

  - ### Method Detail

    - #### getSession

          public Session getSession()

      Gets the value of the session property.
      Returns:
        possible object is `Session`

    - #### setSession

          public void setSession(Session value)

      Sets the value of the session property.
      Parameters:
        `value` - allowed object is `Session`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.